Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225246 - Merge Review: anaconda
Summary: Merge Review: anaconda
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-29 21:00 UTC by Nobody's working on this, feel free to take it
Modified: 2012-11-29 18:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-13 21:05:25 UTC
tibbs: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-29 21:00:47 UTC
Fedora Merge Review: anaconda

http://cvs.fedora.redhat.com/viewcvs/devel/anaconda/

Comment 1 Jason Tibbitts 2008-12-19 18:23:56 UTC
Here are some comments copied from my mailing list post:

No %{?dist} tag, but I understand why you folks have no need of that.

Is the source available for download anywhere?  The Source0: URL
should be downloadable if at all possible.  The spec should at minimum
include some instructions for checking out of an SCM.

As of FC-5, it is not actually necessary to have:
  Requires(post): desktop-file-utils >= %{desktopfileutilsver}
  Requires(postun): desktop-file-utils >= %{desktopfileutilsver}
as long as you use the recommended update-desktop-database
scriptlets.
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#desktop-database

%post
/usr/bin/update-desktop-database %{_datadir}/applications &> /dev/null || :

%postun
/usr/bin/update-desktop-database %{_datadir}/applications &> /dev/null || :

Is there any reason to keep this bit:
%triggerun -- anaconda < 8.0-1
/sbin/chkconfig --del reconfig >/dev/null 2>&1 || :

Anaconda < 8.0 was, what, pre-RHL-8?

There's some minor permission weirdness, like
/usr/lib/anaconda-runtime/boot/syslinux.cfg and
/usr/lib/anaconda-runtime/pyrc.py are executable, and also
some shell scripts that don't have a shebang line like
/usr/lib/anaconda-runtime/mk-images.s390.  I'll spare everyone here
the full listing; just run rpmlint and look at the
script-without-shebang errors.

Comment 2 Hans de Goede 2009-01-06 08:10:09 UTC
(In reply to comment #1)

Thanks! I've addressed all your comments in 11.5.0.4, which should be in the next rawhide push.

> Is the source available for download anywhere?  The Source0: URL
> should be downloadable if at all possible.  The spec should at minimum
> include some instructions for checking out of an SCM.
> 

Done

> As of FC-5, it is not actually necessary to have:
>   Requires(post): desktop-file-utils >= %{desktopfileutilsver}
>   Requires(postun): desktop-file-utils >= %{desktopfileutilsver}
> as long as you use the recommended update-desktop-database
> scriptlets.
> http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#desktop-database
> 
> %post
> /usr/bin/update-desktop-database %{_datadir}/applications &> /dev/null || :
> 
> %postun
> /usr/bin/update-desktop-database %{_datadir}/applications &> /dev/null || :
> 

Fixed.

> Is there any reason to keep this bit:
> %triggerun -- anaconda < 8.0-1
> /sbin/chkconfig --del reconfig >/dev/null 2>&1 || :
> 

Removed.

> Anaconda < 8.0 was, what, pre-RHL-8?
> 
> There's some minor permission weirdness, like
> /usr/lib/anaconda-runtime/boot/syslinux.cfg and
> /usr/lib/anaconda-runtime/pyrc.py are executable, and also
> some shell scripts that don't have a shebang line like
> /usr/lib/anaconda-runtime/mk-images.s390.  I'll spare everyone here
> the full listing; just run rpmlint and look at the
> script-without-shebang errors.

I've fixed most rpmlint nagging, remaining:

anaconda.src:205: E: hardcoded-library-path in %{_prefix}/lib/anaconda
anaconda.src:206: E: hardcoded-library-path in %{_prefix}/lib/anaconda-runtime
* python code, so no need for lib64

anaconda.x86_64: W: file-not-utf8 /usr/share/doc/anaconda-11.5.0.3/ChangeLog
* automatically generated from git commit messages later ones are all UTF-8,
  cannot use iconv, as newer parts are already UTF-8, cannot manually fix as
  generated on the fly.

anaconda.x86_64: E: explicit-lib-dependency libbdevid-python
anaconda.x86_64: E: explicit-lib-dependency libuser-python
anaconda.x86_64: E: explicit-lib-dependency libxml2-python

These are actually all python bindings, and this are not explicit-lib-dependencies.

Comment 3 Jason Tibbitts 2009-01-13 21:05:25 UTC
Yes, the explicit lib dependency bits are obviously bogus and you can't really fix the changelog.  The hardcoded-library-path complaints are bogus as well.  That clears rpmlint.

The other issues have all been fixed, so I'd say we're done.  Thanks for your attention.

APPROVED

Comment 4 Brian Lane 2012-11-29 17:37:12 UTC
Package Change Request
======================
Package Name: anaconda
New Branches: f18-beta
Owners: bcl clumens
InitialCC: 

We need a branch in order to do a new beta build for secondary arches.

Comment 5 Gwyn Ciesla 2012-11-29 17:45:45 UTC
Is a branch needed, or a buildroot tag in koji?

Comment 6 Brian Lane 2012-11-29 18:43:07 UTC
Just a branch, thanks.


Note You need to log in before you can comment on or make changes to this bug.